Get file
curl --request GET \
--url https://api.messages.dev/v1/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.messages.dev/v1/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.messages.dev/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"type": "invalid_request_error",
"code": "missing_required_parameter",
"message": "The 'from' query parameter is required.",
"param": "from"
},
"request_id": "req_abc123"
}{
"error": {
"type": "authentication_error",
"code": "missing_api_key",
"message": "Missing Authorization header. Use 'Authorization: Bearer sk_live_...'"
},
"request_id": "req_abc123"
}{
"error": {
"type": "not_found_error",
"code": "line_not_found",
"message": "Line not found.",
"param": "from"
},
"request_id": "req_abc123"
}Files
Get file
Returns a 302 redirect to the file’s storage URL. Use the id
query parameter with a file_ prefixed ID.
GET
/
v1
/
files
Get file
Authorizations
Use an API key as a bearer token: Authorization: Bearer sk_live_...
Each key has a set of scopes that gate which endpoints it can call:
messages:read, messages:write, chats:read, lines:read,
reactions:read, reactions:write, typing:read, typing:write,
receipts:read, receipts:write, webhooks:read, webhooks:write,
outbox:read, files:read, files:write. Keys can also be restricted
to a subset of lines.
Query Parameters
File ID (prefixed with file_)
Example:
"file_abc123"
Response
Redirect to file storage URL
⌘I